package com.caimei.entity;

import java.io.Serializable;

public class CmOrder implements Serializable {
    private Integer orderID;        // orderID
    private String orderMark;        // 订单标识，例#orderID#：#1000#
    private String orderNo;        // 订单编号
    private String newOrderNo;        // 订单编号+四位随机数----新的拼接交易号（transactionID+四位随机数）
    private Integer organizeID;     //采美组织默认为null,具体对应cm_mall_organize表ID
    private Integer userID;        // userID
    private Integer buyUserID;        // 下单人
    private String shopOrderIDs;        // 子订单ID
    private Integer orderSubmitType;        // 订单提交类型  0:个人自己下单 1:企业自己下单 2:员工帮机构下单 3:协销帮机构下单  4:后台下单 5:采美豆订单
    private Integer orderType;        // 订单类型 协销订单 0 普通订单 1
    private Integer status;        // 订单状态
    private String statusName;      //订单状态备注
    private String hasActProduct;//
    private String payFlag;             //支付状态 0未支付 1 已支付
    private String onlinePayFlag;       //能否线上支付 0能  1 只能线下
    private Double productTotalFee;        // 商品总金额 = 子订单商品金额相加
    private Double orderTotalFee;    // decimal(20,6) comment '订单总金额',
    private Double payTotalFee;         // decimal(20,6) comment '支付金额',
    private Double payableAmount;       // 应付金额
    private Double balancePayFee;       // decimal(20,6) comment '余额支付',
    private Double discountFee;         // decimal(20,6) comment '折扣金额',
    private Integer spID;        // spID
    private Integer mainSpID;        // mainSpID
    private String note;        // 订单备注
    private Integer clubID;        // clubID
    private String clubScanTime;        // 机构扫描确认时间
    private String payWay;        // 支付方式
    private String orderSource;        // 订单来源
    private String orderTime;        // 订单提交时间
    private String payTime;        // 订单支付时间
    private Integer productCount;        // 购买总数
    private Integer presentCount;        // 赠送总数
    private String cooFreeFlag;        // 库分期免息状态
    private Integer cooFreeRate;        // 库分期分期费率
    private Double cooFreeAmount;        // 库分期免息金额
    private String confirmFlag;        // 订单确认标志  0 未确认 1 后台确认 2 机构确认
    private String updateDate;          //更新时间
    private Integer clauseID;        // 条款ID
    private String clauseContent;        // 条款内容
    private String clauseName;        // 条款名称
    private String freePostFlag;        // 免邮标志  0 包邮 -1 到付 1有运费
    private Double freight;        // 总运费
    private Integer freePostageTicketID;        // 包邮券ID
    private String delFlag;        // 订单失效状态
    private String invoiceFlag;      //是否开发票 0 不开 1 开发票
    private Double preferential;//总优惠金额
    private String confirmTime; //订单确认时间
    private String closeTime; //订单取消时间
    private String closeReason;//订单取消原因
    private String splitFlag;  //是否可以拆单
    private String postageOrderFlag; //邮费订单标识 1是邮费订单 0不是邮费订单
    private String receiptStatus;//（收款买家）收款状态：1待收款、2部分收款、3已收款'
    private String payStatus;//(付款供应商)付款状态：1待付款、2部分付款、3已付款
    private String sendOutStatus;//发货状态：1待发货、2部分发货、3已发货
    private String refundType;//退货退款类型：1部分退、2全部退

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getNewOrderNo() {
        return newOrderNo;
    }

    public void setNewOrderNo(String newOrderNo) {
        this.newOrderNo = newOrderNo;
    }

    public Integer getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(Integer organizeID) {
        this.organizeID = organizeID;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public Integer getBuyUserID() {
        return buyUserID;
    }

    public void setBuyUserID(Integer buyUserID) {
        this.buyUserID = buyUserID;
    }

    public String getShopOrderIDs() {
        return shopOrderIDs;
    }

    public void setShopOrderIDs(String shopOrderIDs) {
        this.shopOrderIDs = shopOrderIDs;
    }

    public Integer getOrderSubmitType() {
        return orderSubmitType;
    }

    public void setOrderSubmitType(Integer orderSubmitType) {
        this.orderSubmitType = orderSubmitType;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(String payFlag) {
        this.payFlag = payFlag;
    }

    public String getOnlinePayFlag() {
        return onlinePayFlag;
    }

    public void setOnlinePayFlag(String onlinePayFlag) {
        this.onlinePayFlag = onlinePayFlag;
    }

    public Double getProductTotalFee() {
        return productTotalFee;
    }

    public void setProductTotalFee(Double productTotalFee) {
        this.productTotalFee = productTotalFee;
    }

    public Double getOrderTotalFee() {
        return orderTotalFee;
    }

    public void setOrderTotalFee(Double orderTotalFee) {
        this.orderTotalFee = orderTotalFee;
    }

    public Double getPayTotalFee() {
        return payTotalFee;
    }

    public void setPayTotalFee(Double payTotalFee) {
        this.payTotalFee = payTotalFee;
    }

    public Double getPayableAmount() {
        return payableAmount;
    }

    public void setPayableAmount(Double payableAmount) {
        this.payableAmount = payableAmount;
    }

    public Double getBalancePayFee() {
        return balancePayFee;
    }

    public void setBalancePayFee(Double balancePayFee) {
        this.balancePayFee = balancePayFee;
    }

    public Double getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    public Integer getSpID() {
        return spID;
    }

    public void setSpID(Integer spID) {
        this.spID = spID;
    }

    public Integer getMainSpID() {
        return mainSpID;
    }

    public void setMainSpID(Integer mainSpID) {
        this.mainSpID = mainSpID;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public String getClubScanTime() {
        return clubScanTime;
    }

    public void setClubScanTime(String clubScanTime) {
        this.clubScanTime = clubScanTime;
    }

    public String getPayWay() {
        return payWay;
    }

    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    public String getOrderSource() {
        return orderSource;
    }

    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Integer getPresentCount() {
        return presentCount;
    }

    public void setPresentCount(Integer presentCount) {
        this.presentCount = presentCount;
    }

    public String getCooFreeFlag() {
        return cooFreeFlag;
    }

    public void setCooFreeFlag(String cooFreeFlag) {
        this.cooFreeFlag = cooFreeFlag;
    }

    public Integer getCooFreeRate() {
        return cooFreeRate;
    }

    public void setCooFreeRate(Integer cooFreeRate) {
        this.cooFreeRate = cooFreeRate;
    }

    public Double getCooFreeAmount() {
        return cooFreeAmount;
    }

    public void setCooFreeAmount(Double cooFreeAmount) {
        this.cooFreeAmount = cooFreeAmount;
    }

    public String getConfirmFlag() {
        return confirmFlag;
    }

    public void setConfirmFlag(String confirmFlag) {
        this.confirmFlag = confirmFlag;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getClauseID() {
        return clauseID;
    }

    public void setClauseID(Integer clauseID) {
        this.clauseID = clauseID;
    }

    public String getClauseContent() {
        return clauseContent;
    }

    public void setClauseContent(String clauseContent) {
        this.clauseContent = clauseContent;
    }

    public String getClauseName() {
        return clauseName;
    }

    public void setClauseName(String clauseName) {
        this.clauseName = clauseName;
    }

    public String getFreePostFlag() {
        return freePostFlag;
    }

    public void setFreePostFlag(String freePostFlag) {
        this.freePostFlag = freePostFlag;
    }

    public Double getFreight() {
        return freight;
    }

    public void setFreight(Double freight) {
        this.freight = freight;
    }

    public Integer getFreePostageTicketID() {
        return freePostageTicketID;
    }

    public void setFreePostageTicketID(Integer freePostageTicketID) {
        this.freePostageTicketID = freePostageTicketID;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getInvoiceFlag() {
        return invoiceFlag;
    }

    public void setInvoiceFlag(String invoiceFlag) {
        this.invoiceFlag = invoiceFlag;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    public String getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(String confirmTime) {
        this.confirmTime = confirmTime;
    }

    public String getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(String closeTime) {
        this.closeTime = closeTime;
    }

    public String getCloseReason() {
        return closeReason;
    }

    public void setCloseReason(String closeReason) {
        this.closeReason = closeReason;
    }

    public String getSplitFlag() {
        return splitFlag;
    }

    public void setSplitFlag(String splitFlag) {
        this.splitFlag = splitFlag;
    }

    public String getPostageOrderFlag() {
        return postageOrderFlag;
    }

    public void setPostageOrderFlag(String postageOrderFlag) {
        this.postageOrderFlag = postageOrderFlag;
    }

    public String getOrderMark() {
        return orderMark;
    }

    public void setOrderMark(String orderMark) {
        this.orderMark = orderMark;
    }

    public String getHasActProduct() {
        return hasActProduct;
    }

    public void setHasActProduct(String hasActProduct) {
        this.hasActProduct = hasActProduct;
    }

    public String getReceiptStatus() {
        return receiptStatus;
    }

    public void setReceiptStatus(String receiptStatus) {
        this.receiptStatus = receiptStatus;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getSendOutStatus() {
        return sendOutStatus;
    }

    public void setSendOutStatus(String sendOutStatus) {
        this.sendOutStatus = sendOutStatus;
    }

    public String getRefundType() {
        return refundType;
    }

    public void setRefundType(String refundType) {
        this.refundType = refundType;
    }
}


