package com.caimei.entity;

import java.io.Serializable;

/**
 * 退货退款Entity
 * @author ye.qin
 * @version 2019-05-24
 */
public class CmReturnedPurchase implements Serializable {
	private Integer id;
	private String returnedNo;        // 退款退货编号
	private Integer orderID;        // 主订单ID
	private String orderNo;         //主订单号
	private String userName;        //买家名
	private Integer userID;        // 用户ID（买家）
	private String status;        // 状态：1退货退款中、2已完成、3已取消
	private String returnedWay;        // 退款方式 1账户余额、2线下转账、3线上退回
	private String returnedBankInfo;        // 退款银行信息（银行名称、户名、开户行、银行账号）
	private Double returnedPurchaseFee;        // 退款(退货)总金额
	private Double refundFee;        // 退款总额(给买家)
	private String image1;        // 凭证图片1
	private String image2;        // 凭证图片2
	private String image3;        // 凭证图片3
	private String image4;        // 凭证图片4
	private String image5;        // 凭证图片5
	private String reviewImage1;        // 凭证图片1
	private String reviewImage2;        // 凭证图片2
	private String reviewImage3;        // 凭证图片3
	private String reviewImage4;        // 凭证图片4
	private String reviewImage5;        // 凭证图片5
	private String reviewRemarks;   //审核备注
	private String returnTime;        // 申请退款时间
	private String confirmReturnTime;        // 确认退款时间

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getReturnedNo() {
		return returnedNo;
	}

	public void setReturnedNo(String returnedNo) {
		this.returnedNo = returnedNo;
	}

	public Integer getOrderID() {
		return orderID;
	}

	public void setOrderID(Integer orderID) {
		this.orderID = orderID;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getUserID() {
		return userID;
	}

	public void setUserID(Integer userID) {
		this.userID = userID;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getReturnedWay() {
		return returnedWay;
	}

	public void setReturnedWay(String returnedWay) {
		this.returnedWay = returnedWay;
	}

	public String getReturnedBankInfo() {
		return returnedBankInfo;
	}

	public void setReturnedBankInfo(String returnedBankInfo) {
		this.returnedBankInfo = returnedBankInfo;
	}

	public Double getReturnedPurchaseFee() {
		return returnedPurchaseFee;
	}

	public void setReturnedPurchaseFee(Double returnedPurchaseFee) {
		this.returnedPurchaseFee = returnedPurchaseFee;
	}

	public Double getRefundFee() {
		return refundFee;
	}

	public void setRefundFee(Double refundFee) {
		this.refundFee = refundFee;
	}

	public String getImage1() {
		return image1;
	}

	public void setImage1(String image1) {
		this.image1 = image1;
	}

	public String getImage2() {
		return image2;
	}

	public void setImage2(String image2) {
		this.image2 = image2;
	}

	public String getImage3() {
		return image3;
	}

	public void setImage3(String image3) {
		this.image3 = image3;
	}

	public String getImage4() {
		return image4;
	}

	public void setImage4(String image4) {
		this.image4 = image4;
	}

	public String getImage5() {
		return image5;
	}

	public void setImage5(String image5) {
		this.image5 = image5;
	}

	public String getReviewImage1() {
		return reviewImage1;
	}

	public void setReviewImage1(String reviewImage1) {
		this.reviewImage1 = reviewImage1;
	}

	public String getReviewImage2() {
		return reviewImage2;
	}

	public void setReviewImage2(String reviewImage2) {
		this.reviewImage2 = reviewImage2;
	}

	public String getReviewImage3() {
		return reviewImage3;
	}

	public void setReviewImage3(String reviewImage3) {
		this.reviewImage3 = reviewImage3;
	}

	public String getReviewImage4() {
		return reviewImage4;
	}

	public void setReviewImage4(String reviewImage4) {
		this.reviewImage4 = reviewImage4;
	}

	public String getReviewImage5() {
		return reviewImage5;
	}

	public void setReviewImage5(String reviewImage5) {
		this.reviewImage5 = reviewImage5;
	}

	public String getReviewRemarks() {
		return reviewRemarks;
	}

	public void setReviewRemarks(String reviewRemarks) {
		this.reviewRemarks = reviewRemarks;
	}

	public String getReturnTime() {
		return returnTime;
	}

	public void setReturnTime(String returnTime) {
		this.returnTime = returnTime;
	}

	public String getConfirmReturnTime() {
		return confirmReturnTime;
	}

	public void setConfirmReturnTime(String confirmReturnTime) {
		this.confirmReturnTime = confirmReturnTime;
	}
}