package com.caimei.mapper.products;

import com.caimei.entity.CmMallCart;
import com.caimei.entity.CmOrganizeProducts;
import com.caimei.entity.Shop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ShoppingMapper {

    List<Shop> findAllShop(Integer userID);

    List<CmOrganizeProducts> findAllProducts(@Param("shopID") Integer shopID, @Param("userID") Integer userID);

    void updateNumber(CmMallCart cmMallCart);

    void deleteCart(@Param("userID") Integer userID, @Param("productID") Integer productID);
}
