package com.caimei.service.user;

import com.caimei.entity.*;

import java.util.List;
import java.util.Map;

public interface PersonalService {
    Club myCentre(CmOperationUser operationUser);

    Map<String, Object> touchBalance(Integer index, Integer pageSize, int year, int month, CmUserBalanceRecord balanceRecord);

    List<Province> address();

    List<Address> findAddress(Integer userID);

    List<Province> getProvince();

    List<City> getCity(Long provinceid);

    List<Town> getTown(Integer cityid);

    void saveAddress(Address address);

    void deleteAddress(Integer addressID);

    WxJsonModel invoice(UserInvoiceInfo userInvoiceInfo);
}
